Cancel crawl job
curl --request POST \
--url https://api.naturalead.ai/api/knowledge-bases/{id}/crawl-jobs/{jobId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.naturalead.ai/api/knowledge-bases/{id}/crawl-jobs/{jobId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.naturalead.ai/api/knowledge-bases/{id}/crawl-jobs/{jobId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"accountId": "<string>",
"knowledgeBaseId": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sitemapUrl": "<string>",
"urlsFound": 123,
"urlList": [
"<string>"
],
"maxPages": 123,
"useLlmDistill": true,
"pagesProcessed": 123,
"pagesFailed": 123
}{
"error": "<string>"
}Knowledge Bases
Cancel Crawl Job
Cancels a crawl job. Pages already processed remain in the knowledge
base.
Requires knowledge:upload permission.
POST
/
api
/
knowledge-bases
/
{id}
/
crawl-jobs
/
{jobId}
/
cancel
Cancel crawl job
Authorizations
Bearer token using an API key (format nl_live_* or nl_test_*)
Response
Cancelled crawl job
Unique identifier
Owning account ID
Parent knowledge base ID
Current job status
Sitemap URL being crawled
Number of URLs discovered from the sitemap
Explicit list of URLs to crawl
Maximum pages to crawl
Whether LLM distillation is enabled
Number of pages successfully processed
Number of pages that failed processing